user  www;
worker_processes  auto;
worker_cpu_affinity auto; 
error_log  logs/error.log crit; 
#error_log  logs/error.log debug; 
worker_rlimit_nofile 65535 ;
pid        logs/nginx.pid;


events {
       use epoll;
        multi_accept on;
	worker_connections 65535;
}


http {
	charset utf-8;
	sendfile on;
	tcp_nopush on;
	tcp_nodelay on;
	server_tokens off;
	log_not_found off;
	types_hash_max_size 2048;
	client_max_body_size 16M;
# MIME
	include mime.types;
	default_type application/octet-stream;

# gzip

 gzip on;
 gzip_vary on;
 gzip_proxied any;
 gzip_comp_level 6;
 gzip_types text/plain text/css text/xml application/json application/javascript application/rss+xml application/atom+xml image/svg+xml;

 server_tag Apache/2.4.23;   #Server头癿伪装
 server_info off;  #错误信息
 server_admin support@sthmei.com; #便于定位用户反馈癿4xx和5xx错误

 log_format  access  '"$http_x_forwarded_for" $remote_addr $host $remote_user [$time_local] "$request" '
 '$status $body_bytes_sent $request_body "$http_referer" '
 '"$http_user_agent" "$upstream_response_time" "$request_time"';

 include /webdata/conf/*.conf;

}

